#include <Ethernet.h>
#include <ClientUDP.h>

byte mac[] = { 0x00, 0x1D, 0x60, 0xAF, 0x03, 0x32 };
byte ip[]  = { 192, 168, 0, 2 };
byte gw[] = { 192, 168, 0, 1 };
byte subnet[] = { 255, 255, 255, 0 };

byte leds[] = {7,6,5};

#define PORT  2222

byte ip_from[] = {0,0,0,0};
uint16_t port_from = 0;
uint16_t pkt_len;
byte buffer[16];

ClientUDP udp(ip_from,port_from);

void setup() {
  for (int i=0;i<sizeof(leds);i++) { 
    pinMode(leds[i],OUTPUT);
    digitalWrite(leds[i],LOW);
  }  
  Ethernet.begin(mac, ip, gw, subnet);  
  udp.open(PORT);  
}

void loop() {
  if (udp.available()) {
    if (pkt_len = udp.read(ip_from,&port_from,buffer,sizeof(buffer))) {
      if (pkt_len > 1) {
        digitalWrite(leds[buffer[0]],buffer[1]);
      }
    } 
  }
}
